<!--
title: Serverless - Spotinst Documentation
menuText: Spotinst
menuOrder: 11
layout: Doc
-->

<!-- DOCS-SITE-LINK:START automatically generated  -->

### [Read this on the main serverless docs site](https://www.serverless.com/framework/docs/)

<!-- DOCS-SITE-LINK:END -->

# Spotinst Provider Documentation

Welcome to the Serverless Spotinst documentation!

If you have any questions, [search the forums](https://forum.serverless.com?utm_source=framework-docs) or [start your own thread](https://forum.serverless.com?utm_source=framework-docs)

<div class="docsSections">
  <div class="docsSection">
    <div class="docsSectionSubHeader">
      <h4>Guides</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./guide/intro.md">Intro</a></li>
        <li><a href="./guide/quick-start.md">Quick Start</a></li>
        <li><a href="./guide/create-token.md">Create Token</a></li>
        <li><a href="./guide/credentials.md">Credentials</a></li>
        <li><a href="./guide/serverless.yml.md">Serverless.yml Reference</a></li>
        <li><a href="./guide/variables.md">Variables</a></li>
        <li><a href="./guide/endpoints.md">Endpoints</a></li>
        <li><a href="./guide/cors.md">Cross-Origin Resource Sharing</a></li>
        <li><a href="./guide/active-versions.md">Active Versions Documentation</a></li>
        <li><a href="./guide/IAM-roles.md">IAM Roles</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
     <div class="docsSectionSubHeader">
      <h4>CLI References</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./cli-reference/config-credentials.md">Config Credentials</a></li>
        <li><a href="./cli-reference/create.md">Create</a></li>
        <li><a href="./cli-reference/deploy.md">Deploy</a></li>
        <li><a href="./cli-reference/deploy-function.md">Deploy Function</a></li>
        <li><a href="./cli-reference/invoke.md">Invoke</a></li>
        <li><a href="./cli-reference/logs.md">Logs</a></li>
        <li><a href="./cli-reference/stage.md">Stage Variable</a></li>
        <li><a href="./cli-reference/info.md">Info</a></li>
        <li><a href="./cli-reference/remove.md">Remove</a></li>
        <li><a href="./cli-reference/plugin-list.md">Plugin List</a></li>
        <li><a href="./cli-reference/plugin-search.md">Plugin Search</a></li>
        <li><a href="./cli-reference/plugin-install.md">Plugin Install</a></li>
        <li><a href="./cli-reference/plugin-uninstall.md">Plugin Uninstall</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
     <div class="docsSectionSubHeader">
      <h4>Events</h4>
    </div>
    <div class="docsProviderItems">
      <ul>
        <li><a href="./events/http.md">HTTP</a></li>
        <li><a href="./events/schedule.md">Schedule</a></li>
      </ul>
    </div>
  </div>

  <div class="docsSection">
    <div class="docsSectionSubHeader">
      <h4>Examples</h4>
    </div>
    <div>
      <div class="docsProviderItems">
        <ul>
          <li><a href="./examples/">Hello World</a></li>
        </ul>
      </div>
    </div>
  </div>
</div>
